Perform return or postAuth secondary transactions

Use this to perform a subsequent transaction, e.g. postAuth or return using an order ID as a reference.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Gateway order identifier as returned in the parameter orderId.

Body Params

Accepted request types: PostAuthTransaction, VoidTransaction, VoidPreAuthTransactions, ReturnTransaction and PreAuthSecondaryTransaction.

Model for secondary financial transactions. Abstract class, do not use this class directly, use one of its children.

string
required

Object name of the secondary transaction request.

string
length ≤ 20

An optional outlet ID for clients that support multiple stores in the same developer app.

string
length ≤ 128

This is the store's userID (not store-id) from where the product was purchased.

string
length ≤ 40

The unique merchant transaction ID from the request, if supplied.

string

Comment for the secondary transaction.

order
object

Use this model to provide order related details.

terminalRequestData
object

Terminal request data required for card present transactions.

string
length between 6 and 32

Unique identifier for the payment terminal where the transaction takes place.

string
length between 6 and 32

Unique identifier for the merchant conducting the transaction.

transactionAmount
object
required

Amount of the transaction.

string
enum

The source of the transaction. The possible values are ECOM (if the order was received via email or Internet), MOTO (mail order, telephone order), MAIL, PHONE and RETAIL (face to face).

Allowed:
splitShipment
object

Split-shipment related information, in order to reuse the same authorization.

softDescriptor
object

Identifying information about a merchant which appears on buyer's credit/debit card statements.

boolean
Defaults to false

Indicates if the merchant wants payment account reference number from the network token using endpoint(PaymentAccountReferenceFlag = true).

currencyConversion
object

Currency conversion. Abstract class, do not use this class directly, use one of its children: Dcc, DynamicPricing.

Headers
string
enum
required
Defaults to application/json

Content type.

Allowed:
string
required

A client-generated ID for request tracking and signature creation, unique per request. This is also used for idempotency control. We recommend 128-bit UUID format.

string
required

Key given to merchant after boarding associating their requests with the appropriate app in Apigee.

int64
required

Epoch timestamp in milliseconds in the request from a client system. Used for Message Signature generation and time limit (5 mins).

string
required

Used to ensure the request has not been tampered with during transmission. The Message-Signature is the Base64 encoded HMAC hash (SHA256 algorithm with the API Secret as the key.) For more information, refer to the supporting documentation on the Developer Portal.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Want a quick overview?